﻿Namespace ViewModel
    Public Class EquipmentViewModel
        Inherits ViewModelBase

        Public Sub New()
            Me.New("Untitled", "", 0)
        End Sub

        Public Sub New(title As String, description As String, price As Decimal)
            Me.Title = title
            Me.Description = description
            Me.Price = price
        End Sub

        Dim _title As String
        Public Property Title As String
            Get
                Return _title
            End Get
            Set
                _title = Value
                RaisePropertyChanged()
            End Set
        End Property

        Dim _description As String
        Public Property Description As String
            Get
                Return _description
            End Get
            Set
                _description = Value
                RaisePropertyChanged()
            End Set
        End Property

        Dim _price As Decimal
        Public Property Price As Decimal
            Get
                Return _price
            End Get
            Set
                _price = Value
                RaisePropertyChanged()
            End Set
        End Property
    End Class
End Namespace
